package com.kmall.admin.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单退款记录表实体
 * 表名 mall_order_refund
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-11-01 10:16:41
 */
public class OrderRefundEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 订单Id
     */
    private Integer orderId;
    /**
     * 用户Id
     */
    private Integer userId;
    /**
     * 商户退款单号
     */
    private String outRefundNo;
    /**
     * 微信退款单号
     */
    private String refundId;
    /**
     * 退款类型 1用户全额退款 2系统部分退款
     */
    private Integer refundType;
    /**
     * 退款时间
     */
    private Date refundTime;
    /**
     *
     */
    private String creator;
    /**
     * 退款金额
     */
    private BigDecimal refundMoney;
    /**
     *  退款状态 1申请中 2退款成功 3已拒绝
     */
    private Integer refundStatus;
    /**
     * 退款原因
     */
    private String refundReason;
    /**
     * 审核人
     */
    private String approver;
    /**
     * 审核时间
     */
    private Date approvalTime;
    /**
     * 审核备注
     */
    private String approvalRemark;
    /**
     * 创建人编号
     */
    private String createSn;
    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private String refundRecvAccout;

    private String wechatRefundStatusDes;



    /**
     * 冗余
     */
    //订单序列号
    private String orderSn;
    //订单状态
    //订单相关状态字段设计，采用单个字段表示全部的订单状态
    //1xx 表示订单取消和删除等状态 0订单创建成功等待付款，　101订单已取消，　102订单已删除
    //2xx 表示订单支付状态　201订单已付款，等待发货
    //3xx 表示订单物流相关状态　300订单已发货， 301用户确认收货
    //4xx 表示订单退换货相关的状态　401 没有发货，退款　402 已收货，退款退货
    private Integer orderStatus;
    //实际支付
    private BigDecimal actualPrice;

    private String userName;

    /**
     * 退款币种；微信国际退款返回数据
     */
    private String refundFeeType;
    /**
     * 标价金额；微信国际退款返回数据
     */
    private BigDecimal totalFee;
    /**
     * 标价币种；微信国际退款返回数据
     */
    private String feeType;
    /**
     * 用户支付金额；微信国际退款返回数据
     */
    private BigDecimal cashFee;
    /**
     * 用户支付币种；微信国际退款返回数据
     */
    private String cashFeeType;
    /**
     * 用户支付退款金额；微信国际退款返回数据
     */
    private BigDecimal cashRefundFee;
    /**
     * 用户支付退款币种；微信国际退款返回数据
     */
    private String cashRefundFeeType;
    /**
     * 汇率
     */
    private String rate;

    private String isOnfflineOrder;

    public String getIsOnfflineOrder() {
        return isOnfflineOrder;
    }

    public void setIsOnfflineOrder(String isOnfflineOrder) {
        this.isOnfflineOrder = isOnfflineOrder;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public BigDecimal getActualPrice() {
        return actualPrice;
    }

    public void setActualPrice(BigDecimal actualPrice) {
        this.actualPrice = actualPrice;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getWechatRefundStatusDes() {
        return wechatRefundStatusDes;
    }

    public void setWechatRefundStatusDes(String wechatRefundStatusDes) {
        this.wechatRefundStatusDes = wechatRefundStatusDes;
    }

    public String getRefundRecvAccout() {
        return refundRecvAccout;
    }

    public void setRefundRecvAccout(String refundRecvAccout) {
        this.refundRecvAccout = refundRecvAccout;
    }

    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：订单Id
     */
    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    /**
     * 获取：订单Id
     */
    public Integer getOrderId() {
        return orderId;
    }
    /**
     * 设置：用户Id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户Id
     */
    public Integer getUserId() {
        return userId;
    }
    /**
     * 设置：商户退款单号
     */
    public void setOutRefundNo(String outRefundNo) {
        this.outRefundNo = outRefundNo;
    }

    /**
     * 获取：商户退款单号
     */
    public String getOutRefundNo() {
        return outRefundNo;
    }
    /**
     * 设置：微信退款单号
     */
    public void setRefundId(String refundId) {
        this.refundId = refundId;
    }

    /**
     * 获取：微信退款单号
     */
    public String getRefundId() {
        return refundId;
    }
    /**
     * 设置：退款类型 1用户全额退款 2系统部分退款
     */
    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }

    /**
     * 获取：退款类型 1用户全额退款 2系统部分退款
     */
    public Integer getRefundType() {
        return refundType;
    }
    /**
     * 设置：退款时间
     */
    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    /**
     * 获取：退款时间
     */
    public Date getRefundTime() {
        return refundTime;
    }
    /**
     * 设置：
     */
    public void setCreator(String creator) {
        this.creator = creator;
    }

    /**
     * 获取：
     */
    public String getCreator() {
        return creator;
    }
    /**
     * 设置：退款金额
     */
    public void setRefundMoney(BigDecimal refundMoney) {
        this.refundMoney = refundMoney;
    }

    /**
     * 获取：退款金额
     */
    public BigDecimal getRefundMoney() {
        return refundMoney;
    }
    /**
     * 设置： 退款状态 1申请中 2退款成功 3已拒绝
     */
    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    /**
     * 获取： 退款状态 1申请中 2退款成功 3已拒绝
     */
    public Integer getRefundStatus() {
        return refundStatus;
    }
    /**
     * 设置：退款原因
     */
    public void setRefundReason(String refundReason) {
        this.refundReason = refundReason;
    }

    /**
     * 获取：退款原因
     */
    public String getRefundReason() {
        return refundReason;
    }
    /**
     * 设置：审核人
     */
    public void setApprover(String approver) {
        this.approver = approver;
    }

    /**
     * 获取：审核人
     */
    public String getApprover() {
        return approver;
    }
    /**
     * 设置：审核时间
     */
    public void setApprovalTime(Date approvalTime) {
        this.approvalTime = approvalTime;
    }

    /**
     * 获取：审核时间
     */
    public Date getApprovalTime() {
        return approvalTime;
    }
    /**
     * 设置：审核备注
     */
    public void setApprovalRemark(String approvalRemark) {
        this.approvalRemark = approvalRemark;
    }

    /**
     * 获取：审核备注
     */
    public String getApprovalRemark() {
        return approvalRemark;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreateSn(String createSn) {
        this.createSn = createSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreateSn() {
        return createSn;
    }
    /**
     * 设置：创建时间,yyyy-MM-dd HH:mm:ss
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间,yyyy-MM-dd HH:mm:ss
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }

    public String getRefundFeeType() {
        return refundFeeType;
    }

    public void setRefundFeeType(String refundFeeType) {
        this.refundFeeType = refundFeeType;
    }

    public BigDecimal getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(BigDecimal totalFee) {
        this.totalFee = totalFee;
    }

    public String getFeeType() {
        return feeType;
    }

    public void setFeeType(String feeType) {
        this.feeType = feeType;
    }

    public BigDecimal getCashFee() {
        return cashFee;
    }

    public void setCashFee(BigDecimal cashFee) {
        this.cashFee = cashFee;
    }

    public String getCashFeeType() {
        return cashFeeType;
    }

    public void setCashFeeType(String cashFeeType) {
        this.cashFeeType = cashFeeType;
    }

    public BigDecimal getCashRefundFee() {
        return cashRefundFee;
    }

    public void setCashRefundFee(BigDecimal cashRefundFee) {
        this.cashRefundFee = cashRefundFee;
    }

    public String getCashRefundFeeType() {
        return cashRefundFeeType;
    }

    public void setCashRefundFeeType(String cashRefundFeeType) {
        this.cashRefundFeeType = cashRefundFeeType;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }
}
